define("ember-asset-loader/test-support/preload-assets", ["exports", "ember-asset-loader/services/asset-loader"], function (_exports, _assetLoader) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = preloadAssets;
  const {
    Test,
    RSVP
  } = Ember;
  /**
   * Preloads all the bundles specified in an asset manifest
   * to make sure all files are available for testing.
   *
   * Uses the Ember.Test.Promise class to make sure tests
   * wait for the assets to load first.
   *
   * @return {Promise}
   */

  function preloadAssets(manifest) {
    const loader = _assetLoader.default.create();

    loader.pushManifest(manifest);
    const bundlePromises = Object.keys(manifest.bundles).map(bundle => loader.loadBundle(bundle));
    const allBundles = RSVP.all(bundlePromises);
    return Test.resolve(allBundles);
  }
});