"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memoize = (target, propertyKey, descriptor) => {
    if (typeof descriptor.value !== 'function')
        throw new TypeError(`Cannot use '@memoize' on '${String(propertyKey)}' on '${target}', which is is not a method.`);
    const originalMethod = descriptor.value;
    const didRun = false;
    let memoized;
    // eslint-disable-next-line no-param-reassign
    descriptor.value = function (...args) {
        if (didRun)
            return memoized;
        memoized = originalMethod.apply(this, args);
        return memoized;
    };
};
