"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const broccoli_multi_postcss_1 = __importDefault(require("broccoli-multi-postcss"));
const postcss_1 = require("../postcss");
class PostPreprocessorPlugin {
    constructor(owner) {
        // eslint-disable-next-line unicorn/prevent-abbreviations
        this.ext = ['css'];
        this.name = 'ember-makeup:post';
        this.owner = owner;
    }
    toTree(input, _inputDirectory, _outputDirectory, _options) {
        const cfgToVarTree = new broccoli_multi_postcss_1.default(input, {
            browsers: this.owner.project.targets.browsers,
            plugins: [
                {
                    module: postcss_1.cfgToVarPlugin,
                    options: {
                        customPropertyPrefix: this.owner.makeupOptions.customPropertyPrefix
                    }
                }
            ]
        });
        return this.owner.debugTree(cfgToVarTree, 'post-plugin');
    }
}
exports.default = PostPreprocessorPlugin;
